.text-input__label {
  margin-bottom: 10px;
}

.text-input {
  position: relative;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  flex-direction: column-reverse;
  padding-bottom: 30px;
}

.text-input__el {
  width: 100%;
  height: 45px;
  padding: 12px;
  border: $border;
  box-sizing: border-box;
  border-radius: 4px;
  background-color: $c-white;
}

.text-input__label {
  width: 100%;
}

.text-input__tag {
  position: absolute;
  top: 39px;
  right: 12px;
  width: 62px;
  height: 29px;
  padding: 4px 8px;
  background: $c-green-3;
  border-radius: 8px;
}

.text-input__error {
  position: absolute;
  bottom: 5px;
  left: 0;
  width: 100%;
  color: $c-red;
}

.text-input--search {
  .text-input__el {
    padding: 12px 12px 12px 38px;
  }
}

.text-input__icon {
  display: block;
  position: absolute;
  top: 14px;
  left: 12px;
  width: 15px;
  height: 15px;

  svg {
    width: 15px;
    height: 15px;
  }
}

input[type=number]::-webkit-inner-spin-button, 

input[type=number]::-webkit-outer-spin-button { 

  -webkit-appearance: none; 

  margin: 0; 

}

input[type=number]::-webkit-inner-spin-button, 

input[type=number]::-webkit-outer-spin-button { 

  -webkit-appearance: none; 

  margin: 0; 

}

